gimp (3.2.4-3) unstable; urgency=medium

  * Cherry-pick proposed patch to fix big-endian build (Closes: #1088168)
  * Revert "Only build for little endian"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Jul 2026 18:32:48 +0200

gimp (3.2.4-2) unstable; urgency=medium

  * Cherry-pick 2 patches to build with gexiv2 0.16
  * Update Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 May 2026 10:55:53 -0400

gimp (3.2.4-1) unstable; urgency=medium

  * New upstream release
    - https://www.gimp.org/news/2026/04/19/gimp-3-2-4-released/
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Remove unnecessary libgimp-3.0-doc Depends: lynx | www-browser
  * Run wrap-and-sort -ast
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Apr 2026 17:43:06 -0400

gimp (3.2.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - https://www.gimp.org/news/2026/03/28/gimp-3-2-2-released/
  * Add Depends & Build-Depends: python3-gi-cairo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 29 Mar 2026 13:19:31 -0700

gimp (3.2.0-1) unstable; urgency=medium

  * New upstream release
    - https://www.gimp.org/news/2026/03/14/gimp-3-2-released/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Mar 2026 12:07:47 -0400

gimp (3.2.0~RC3-1) unstable; urgency=high

  * New upstream release including multiple plug-in security fixes:
    - CVE-2026-0797 (Closes: #1128601)
    - CVE-2026-2045 (Closes: #1128604)
    - CVE-2026-2047 (Closes: #1128605)
    - CVE-2026-2048 (Closes: #1128606)
    - https://www.gimp.org/news/2026/03/02/gimp-3-2-RC3-released/
  * Add Build-Depends: bash-completion
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Bump minimum babl
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Mar 2026 18:36:30 -0500

gimp (3.2.0~RC2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix crash due to uninitialized ptr_array when loading a
    specially crafted PSD

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Feb 2026 17:02:46 +0100

gimp (3.2.0~RC2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix PSD loader: heap-buffer-overflow in fread_pascal_string
    (CVE-2026-2239) (Closes: #1127838)
  * Fix PSP File Parsing Integer Overflow Leading to Heap Corruption
    (CVE-2026-2271) (Closes: #1127841)
  * plug-ins: Add overflow checks for ICO loading (CVE-2026-2272)
    (Closes: #1127842)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Feb 2026 17:03:45 +0100

gimp (3.2.0~RC2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix #15284 ZDI-CAN-28232 vulnerability in file-psp
    (CVE-2025-15059) (Closes: #1126267)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Jan 2026 13:53:39 +0100

gimp (3.2.0~RC2-3) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Move vala files from gimp to libgimp-3.0-dev
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 09:53:39 -0500

gimp (3.2.0~RC2-2) unstable; urgency=medium

  * Allow building on m68k

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 12:06:27 -0500

gimp (3.2.0~RC2-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: dbus-x11 for build tests
  * Bump minimum babl & gegl
  * Use localehelper for build
  * Enable mng plugin since libmng-dev now includes the .pc file
  * Explicitly disable alsa for non-Linux architectures
  * Only build for little endian (#1088168)
  * gimp.install: Install new bash completions
  * Install new plug-ins
  * Update install files for new version
  * libgimp-3.0-0.symbols: Add new symbols
  * Add patch to use a more consistent version number when installing
    the API docs
  * Remove all other patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 07:55:31 -0500

gimp (3.0.6-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #1117537)
    https://www.gimp.org/news/2025/10/06/gimp-3-0-6-released/
  * debian/libgimp-3.0-0.symbols: Update
  * Cherry-pick proposed patch to fix build test failure
  * Remove all other patches: applied in new release
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Dec 2025 21:04:56 -0500

gimp (3.0.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix ZDI-CAN-27823 (CVE-2025-10934) (Closes: #1119661)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 30 Oct 2025 21:13:18 +0100

gimp (3.0.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: Fix ZDI-CAN-27684 (CVE-2025-10920) (Closes: #1116458)
  * plug-ins: fix dicom plug-in ZDI-CAN-27863 (CVE-2025-10922)
    (Closes: #1116459)
  * plug-ins: fix ZDI-CAN-27878 (CVE-2025-10923) (Closes: #1116460)
  * plug-ins: Fix ZDI-CAN-27836 (CVE-2025-10924) (Closes: #1116461)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Sep 2025 20:57:32 +0200

gimp (3.0.4-6) unstable; urgency=medium

  * Team upload
  * d/control: Replace transitional libgirepository1.0-dev B-D.
    This package uses the actual library, so replace it with the
    combination of gobject-introspection and libgirepository-1.0-dev.
  * d/control: Add missing gir1.2-*-dev B-D as reported by dh_girepository
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} instead of hard-coding it
  * d/copyright: Don't quote the FSF's former postal address here
  * d/libgimp-3.0-doc.links: Fix devhelp integration
  * d/libgimp-3.0-doc.doc-base.*: Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 14:31:58 +0100

gimp (3.0.4-5) unstable; urgency=medium

  * Remove obsolete Rules-Requires-Root: no field
  * Remove unnecessary X-Ubuntu-Langpack: yes field
  * Opt into Salsa CI but disable the reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:52:38 -0400

gimp (3.0.4-4) unstable; urgency=medium

  * Cherry-pick patch to switch from appstream-glib to appstream
  * Update Build-Depends: libappstream-glib-dev → libappstream-dev
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Aug 2025 20:11:21 -0400

gimp (3.0.4-3) unstable; urgency=high

  * plug-ins: ZDI-CAN-26752 mitigation for 32-bit (Closes: #1107758)
    - CVE-2025-2760

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 10:46:57 -0400

gimp (3.0.4-2) unstable; urgency=medium

  * Set NO_AT_BRIDGE=1 for dh_auto_test
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Jun 2025 12:57:17 -0400

gimp (3.0.4-1) experimental; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/05/18/gimp-3-0-4-released/
  * Bump minimum babl and gegl
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:29:39 -0400

gimp (3.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: ZDI-CAN-26752 mitigation (Closes: #1105005)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 May 2025 14:05:55 +0200

gimp (3.0.2-3) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:00:50 +0200

gimp (3.0.2-2) unstable; urgency=medium

  * Add Depends: python3-gi (Closes: #1096155)
  * Fix typo in gir1.2-gimp-3.0 package description (Closes: #1101747)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 11:09:48 -0400

gimp (3.0.2-1) unstable; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/03/23/gimp-3-0-2-released/
  * Bump minimum gegl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 09:11:20 -0400

gimp (3.0.0-2) unstable; urgency=medium

  * Add Depends: librsvg2-common (Closes: #1099419)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:36:50 -0400

gimp (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum babl & gegl
  * debian/libgimp-3.0-0.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:53:40 -0400

gimp (3.0.0~RC3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Bump minimum gegl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 21:12:06 -0500

gimp (3.0.0~RC2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gegl
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Use xvfb with dh_auto_test to run additional tests
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Dec 2024 22:50:42 -0500

gimp (3.0.0~RC1-4) unstable; urgency=medium

  * Add gimp-data.postinst to clean up /etc/gimp/2.0/ (Closes: #1089406)
  * Cherry-pick more commits
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 09:48:59 -0500

gimp (3.0.0~RC1-3) experimental; urgency=medium

  * Cherrypick many commits after 3.0.0 RC1
  * Have gimp depend on gir1.2-gimp-3.0, needed for several plugins
    (Closes: #1014420)
  * Add Build-Depends: dh-sequence-gir
  * Add Provides: ${gir:Provides} to -dev package
  * Have -dev package depend on libgexiv2-dev per pkgconf
  * Disable lua plugins as recommended by upstream
  * Disable the useless GJS plugin more thoroughly
  * Extend build test timeout (for riscv64) (Closes: #1088156)
  * Only build docs when building libgimp-3.0-doc
  * Update autopkgtest for gimp3
  * Closes: #651587, #862336, #918381, #967937, #1035523, #1078402

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 16:43:40 -0500

gimp (3.0.0~RC1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Build-Depends for babl, gegl and harfbuzz.
  * Adapt to install plugins and modules in the 3.0 versioned dir.
  * Update symlink origins for 3.0.
  * Enable lua and js plugins and add necessary build dependencies.
  * Add python-gi-dev to Build-Depends.
  * Adapt globbing install patterns to accept single digit minor versions.
  * Install new "-3" suffixed symlinks for various binaries.
  * Drop no longer built plugins and adapt for renamed ones.
  * Update symbols file to reflect numerous API changes.
  * Update changelog and release to experimental.
  * Replace dependency on pkg-config with pkgconf.
  * Replace libfreetype6-dev Build-Dep with libfreetype-dev.
  * Update Standards-Version to 4.7.0.

 -- Jordi Mallach <jordi@debian.org>  Thu, 07 Nov 2024 00:49:15 +0100

gimp (2.99.18-1) experimental; urgency=medium

  * New upstream release.
    - pasting from the clipboard creates a new image (closes: #1037239).
  * Bump versions for libheif, pango and gegl Build-Deps.
  * Stop using dh-sequence-gnome to generate debian/control.
  * Disable support for ilbm, as requirements are not available.
  * Add Build-Depends on libqoi-dev.
  * Install the file-qoi and file-farbfeld plugins.
  * Update symbols file.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Mar 2024 02:17:38 +0100

gimp (2.99.16-2) experimental; urgency=medium

  * Temporarily disable building with LTO to work around #9633
  * debian/rules: Turn on auto features, but temporarily
    disable javascript & lua plugins
  * Disable mng plugin since libmng-dev in Unstable doesn't ship the .pc file
  * Revert "Temporarily drop the file-heif plugin"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 19:59:04 -0400

gimp (2.99.16-1) experimental; urgency=medium

  * New upstream release.
  * Bump minimal build versions for glib, exiv2 and gegl.
  * Drop test failure patch, which was included upstream.
  * Request meson feature support via "enabled" instead of "true".
  * Stop installing aclocal files, which are now gone.
  * Build-Dep on libcfitsoi-dev for rewritten fits support.
  * Temporarily drop the file-heif plugin.
  * Install the python plugins in the gimp package.
  * Update symbols file.
  * Switch fontconfig B-D to unversioned libfontconfig-dev.

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Jul 2023 23:54:08 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgimp-3.0-doc`.
